<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Controllers\Traits\ApiResponse;
use App\Models\MahasiswaDetail;
use App\Repositories\Api\JadwalApiRepository;
use Illuminate\Http\Request;

class JadwalApiController extends Controller
{
    use ApiResponse;
    protected $param;

    public function __construct(JadwalApiRepository $jadwalApi)
    {
        $this->param = $jadwalApi;
    }

    public function index(Request $request)
    {
        $user = $request->user();
        $detail = MahasiswaDetail::where("nim", $user->nim)->first();
        $jadwal = $this->param->getAll($detail->golongan, $detail->semester_sekarang, $detail->kode_prodi);
        return $this->okApiResponse($jadwal, 'Berhasil Get Jadwal');
    }

    public function getAllDay(Request $request){
        $user = $request->user();
        $detail = MahasiswaDetail::where("nim", $user->nim)->first();
        $jadwal = $this->param->getAllDay($detail->golongan, $detail->semester_sekarang, $detail->kode_prodi);
        return $this->okApiResponse($jadwal, 'Berhasil Get Jadwal');
    }

    public function getNow(Request $request){
        $user = $request->user();
        $detail = MahasiswaDetail::where("nim", $user->nim)->first();
        $jadwal = $this->param->getNow($detail->golongan, $detail->semester_sekarang, $detail->kode_prodi);
        return $this->okApiResponse($jadwal, 'Berhasil Get Jadwal');
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
